Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065182 - [RFE][cinder]: Add support for x-openstack-request-id
Summary: [RFE][cinder]: Add support for x-openstack-request-id
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: Upstream M3
: 5.0 (RHEL 7)
Assignee: Eric Harney
QA Contact: Yogev Rabl
URL: https://blueprints.launchpad.net/cind...
Whiteboard: upstream_milestone_icehouse-3 upstrea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 05:11 UTC by RHOS Integration
Modified: 2016-04-26 23:58 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
To help improve debugging, Block Storage service log messages now include OpenStack request IDs. These IDs provide an easy way to associate log items with requests from other services such as Compute.
Clone Of:
Environment:
Last Closed: 2014-07-08 15:31:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0852 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement - Block Storage 2014-07-08 19:22:44 UTC

Description RHOS Integration 2014-02-14 05:11:21 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/cinder/+spec/add-standard-req-id-header.

Description:

This blueprint is basically the cinder version of the nova blueprint:
https://blueprints.launchpad.net/nova/+spec/cross-service-request-id

---

There is an existing effort to more efficiently trace request flows across OpenStack services. This will be accomplished by logging mappings of request IDs as they cross service boundaries. For example, nova responding to an image-list request will log the request ID of itself along with the request ID it gets back from glance. In this way log info from both sides can be associated.

Since this is dependent on request IDs, there is an effort to standardize the HTTP header used for returning a request ID. This was discussed on openstack-dev: http://lists.openstack.org/pipermail/openstack-dev/2013-December/020774.html

As it stands now, we have glance and neutron using x-openstack-request-id, and nova has a pending change. That just leaves cinder. Cinder is currently using the old nova header name, x-compute-request-id . As with nova and neutron, the plan is to use the already-available request_id oslo middleware to generate the request ID and attach the header.

Specification URL (additional information):

None

Comment 1 Stephen Gordon 2014-02-19 19:40:25 UTC
Updating based on BP milestone

Comment 2 Dafna Ron 2014-04-01 14:45:13 UTC
Eric, automation sanity + manually checking cinder logs for requests-ids?

Comment 4 nlevinki 2014-06-01 09:08:51 UTC
Run automation on puddle http://download.lab.bos.redhat.com/rel-eng/OpenStack/5.0-RHEL-6/2014-05-27.2
No issues were found.
Create a vm and checked cinder log file, we can see the req-ids

INFO cinder.api.openstack.wsgi [req-b451a54b-243a-4fd4-bb22-3719e600aea0 a8ab41594de545448ecdf7e3ddb3a2b2 cb72324d8b984c1a9b02b94fd1757467 - - -] GET http://10.35.163.68:8776/v1/cb72324d8b984c1a9b02b94fd1757467/volumes/detail
2014-06-01 12:01:08.355 13400 AUDIT cinder.api.v1.volumes [req-b451a54b-243a-4fd4-bb22-3719e600aea0 a8ab41594de545448ecdf7e3ddb3a2b2 cb72324d8b984c1a9b02b94fd1757467 - - -] vol={'migration_status': None, 'availability_zone': u'nova', 'terminated_at': None, 'updated_at': datetime.datetime(2014, 6, 1, 9, 0, 46), 'provider_geometry': None, 'snapshot_id': None, 'ec2_id': None, 'mountpoint': None, 'deleted_at': None, 'id': u'99cbc333-96e5-495b-90bb-773ee8704299', 'size': 1L, 'user_id': u'a8ab41594de545448ecdf7e3ddb3a2b2', 'attach_time': None, 'attached_host': None, 'display_description': u'', 'volume_admin_metadata': [], 'encryption_key_id': None, 'project_id': u'cb72324d8b984c1a9b02b94fd1757467', 'launched_at': datetime.datetime(2014, 6, 1, 9, 0, 46), 'scheduled_at': datetime.datetime(2014, 6, 1, 9, 0, 45), 'status': u'available', 'volume_type_id': None, 'deleted': False, 'provider_location': None, 'host': u'dhcp163-68.scl.lab.tlv.redhat.com', 'source_volid': None, 'provider_auth': None, 'display_name': u'volume1', 'instance_uuid': None, 'bootable': False, 'created_at': datetime.datetime(2014, 6, 1, 9, 0, 44), 'attach_status': u'detached', 'volume_type': None, '_name_id': None, 'volume_metadata': []}
2014-06-01 12:01:08.468 13400 INFO cinder.api.openstack.wsgi [req-b451a54b-243a-4fd4-bb22-3719e600aea0 a8ab41594de545448ecdf7e3ddb3a2b2 cb72324d8b984c1a9b02b94fd1757467 - - -] http://10.35.163.68:8776/v1/cb72324d8b984c1a9b02b94fd1757467/volumes/detail returned with HTTP 200
2014-06-01 12:01:08.497 13400 INFO eventlet.wsgi.server [req-b451a54b-243a-4fd4-bb22-3719e600aea0 a8ab41594de545448ecdf7e3ddb3a2b2 cb72324d8b984c1a9b02b94fd1757467 - - -] 10.35.163.68 - - [01/Jun/2014 12:01:08] "GET /v1/cb72324d8b984c1a9b02b94fd1757467/volumes/detail HTTP/1.1" 200 813 0.322786

Comment 8 errata-xmlrpc 2014-07-08 15:31:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0852.html


Note You need to log in before you can comment on or make changes to this bug.